SAMPLES_RPATH_FLAG=
SAMPLES_RPATH_POSTLINK=
+DEFAULT_STD_FLAG=yes
+
case "${host}" in
*-hp-hpux* )
USE_HPUX=1
PROGRAM_EXT=".exe"
RESCOMP=windres
DEFAULT_DEFAULT_wxUSE_MSW=1
+ DEFAULT_STD_FLAG=no
;;
*-pc-msdosdjgpp )
done
export PATH="$ac_TEMP_PATH"
unset ac_TEMP_PATH
+ DEFAULT_STD_FLAG=no
;;
powerpc-*-darwin* )
_ACEOF
DEFAULT_DEFAULT_wxUSE_MAC=1
+ DEFAULT_STD_FLAG=no
;;
powerpc-apple-macos* )
USE_UNIX=0
ac_cv_c_bigendian=yes
SO_SUFFIX=shlib
DEFAULT_DEFAULT_wxUSE_MAC=1
+ DEFAULT_STD_FLAG=no
;;
*-*-beos* )
DEFAULT_wxUSE_LIBXPM=yes
DEFAULT_wxUSE_LIBMSPACK=yes
DEFAULT_wxUSE_LIBSDL=no
- DEFAULT_wxUSE_LIBGNOMEPRINT=yes
+ DEFAULT_wxUSE_LIBGNOMEPRINT=no
DEFAULT_wxUSE_ODBC=no
DEFAULT_wxUSE_OPENGL=no
DEFAULT_wxUSE_STACKWALKER=yes
DEFAULT_wxUSE_DEBUGREPORT=yes
DEFAULT_wxUSE_SNGLINST_CHECKER=yes
- DEFAULT_wxUSE_STD_IOSTREAM=yes
- DEFAULT_wxUSE_STD_STRING=yes
+ DEFAULT_wxUSE_STD_IOSTREAM=$DEFAULT_STD_FLAG
+ DEFAULT_wxUSE_STD_STRING=$DEFAULT_STD_FLAG
DEFAULT_wxUSE_CMDLINE_PARSER=yes
DEFAULT_wxUSE_DATETIME=yes
DEFAULT_wxUSE_TIMER=yes
_ACEOF
+if test "$ac_cv_sizeof_wchar_t" != "0"; then
+ wxUSE_WCHAR_T=yes
+else
+ wxUSE_WCHAR_T=no
+fi
echo "$as_me:$LINENO: checking for va_copy" >&5
echo $ECHO_N "checking for va_copy... $ECHO_C" >&6
fi
+if test "$wxUSE_WCHAR_T" != "yes"; then
+ if test "$wxUSE_EXPAT" != "no"; then
+ { echo "$as_me:$LINENO: WARNING: wxWidgets requires wchar_t to use expat, disabling" >&5
+echo "$as_me: WARNING: wxWidgets requires wchar_t to use expat, disabling" >&2;}
+ wxUSE_EXPAT=no
+ fi
+ if test "$wxUSE_XML" != "no"; then
+ { echo "$as_me:$LINENO: WARNING: wxWidgets requires wchar_t to use xml, disabling" >&5
+echo "$as_me: WARNING: wxWidgets requires wchar_t to use xml, disabling" >&2;}
+ wxUSE_XML=no
+ fi
+fi
+
if test "$wxUSE_EXPAT" != "no"; then
wxUSE_XML=yes
cat >>confdefs.h <<\_ACEOF
else
wx_cv_version_script=no
fi
+
+ if test $wx_cv_version_script = yes
+ then
+ echo "struct B { virtual ~B() { } }; \
+ struct D : public B { }; \
+ void F() { D d; }" > conftest.cpp
+
+ if { ac_try='
+ $CXX -shared -fPIC -o conftest1.output $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.cpp
+ -Wl,--version-script,conftest.sym >/dev/null 2>/dev/null'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='
+ $CXX -shared -fPIC -o conftest2.output $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.cpp
+ -Wl,--version-script,conftest.sym conftest1.output >/dev/null 2>/dev/null'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }
+ then
+ if { ac_try='
+ $CXX -shared -fPIC -o conftest3.output $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.cpp
+ -Wl,--version-script,conftest.sym conftest2.output conftest1.output >/dev/null 2>/dev/null'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }
+ then
+ wx_cv_version_script=yes
+ else
+ wx_cv_version_script=no
+ fi
+ fi
+ fi
+
rm -f conftest.output conftest.stderr conftest.sym conftest.cpp
+ rm -f conftest1.output conftest2.output conftest3.output
fi
echo "$as_me:$LINENO: result: $wx_cv_version_script" >&5
fi
-if test "$ac_cv_sizeof_wchar_t" != "0"; then
+if test "$wxUSE_WCHAR_T" = "yes"; then
cat >>confdefs.h <<\_ACEOF
#define wxUSE_WCHAR_T 1
_ACEOF
if test "$wxUSE_DYNAMIC_LOADER" = "yes" -o "$wxUSE_DYNLIB_CLASS" = "yes" ; then
if test "$USE_DARWIN" = 1; then
HAVE_DL_FUNCS=1
+ elif test "$USE_DOS" = 1; then
+ HAVE_DL_FUNCS=0
else
for ac_func in dlopen
if test "$HAVE_DL_FUNCS" = 0; then
if test "$HAVE_SHL_FUNCS" = 0; then
- if test "$USE_UNIX" = 1; then
+ if test "$USE_UNIX" = 1 -o "$USE_DOS" = 1; then
{ echo "$as_me:$LINENO: WARNING: Missing dynamic loading support, several features will be disabled" >&5
echo "$as_me: WARNING: Missing dynamic loading support, several features will be disabled" >&2;}
wxUSE_DYNAMIC_LOADER=no
#define wxUSE_DEBUGREPORT 1
_ACEOF
- SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS debugrpt"
+ if test "$wxUSE_ON_FATAL_EXCEPTION" = "yes"; then
+ SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS debugrpt"
+ fi
fi
fi
*-*-sunos4* | \
*-*-osf* | \
*-*-dgux5* | \
- *-*-sysv5* )
+ *-*-sysv5* | \
+ *-pc-msdosdjgpp )
;;
*)